Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPMoveEvaluator.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPMoveEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("f9ff6a1f-ed47-4f30-8f95-e367b49de925")]
   public interface IAnalyticalPTSPMoveEvaluator : IAnalyticalPTSPOperator, ISingleObjectiveMoveEvaluator, IPermutationMoveOperator {
     ILookupParameter<DoubleMatrix> CoordinatesParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPOperator.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IAnalyticalPTSPOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("3c9313f9-14fd-403d-9d27-467596a9c68f")]
   public interface IAnalyticalPTSPOperator : IItem {
     ILookupParameter<DoubleArray> ProbabilitiesParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPMoveEvaluator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPMoveEvaluator.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPMoveEvaluator.cs	(revision 14929)
@@ -24,6 +24,8 @@
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("929f3b81-3cf9-4256-8ddb-8b27147b5dc5")]
   public interface IEstimatedPTSPMoveEvaluator : IEstimatedPTSPOperator, ISingleObjectiveMoveEvaluator, IPermutationMoveOperator {
     ILookupParameter<DoubleMatrix> CoordinatesParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPOperator.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/IEstimatedPTSPOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("7d9e9cb6-2e27-41cc-a4f6-d8f0d8e4ecaf")]
   public interface IEstimatedPTSPOperator : IItem {
     ILookupParameter<ItemList<BoolArray>> RealizationsParameter { get; }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/ITwoPointFiveMoveOperator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/ITwoPointFiveMoveOperator.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.PTSP/3.3/Interfaces/ITwoPointFiveMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.PTSP {
+  [StorableType("16912776-fa24-4691-b8c9-5fa810bc37b9")]
   public interface ITwoPointFiveMoveOperator : IMoveOperator {
     ILookupParameter<TwoPointFiveMove> TwoPointFiveMoveParameter { get; }
